/*
 * @Author: PoJun
 * @Date: 2023-09-01 09:42:16
 * @LastEditors: PoJun
 * @LastEditTime: 2023-09-07 12:37:34
 * @Message: Nothing
 */
import routerMap from "./router.map";
import { parseRoutes } from "@/utils/routerUtil";

// 异步路由配置
const routesConfig = [
    "login",
    "root",
    {
        code: "exp404",
        path: "*",
        name: "404",
    },
    {
        code: "exp403",
        path: "/403",
        name: "403",
    },
    {
        code: "exp500",
        path: "/500",
        name: "500",
    },
];

const options = {
    routes: parseRoutes(routesConfig, routerMap),
};

export default options;
